
From: Adrian Bunk <bunk@stusta.de>

mm/hugetlb.c: In function `enqueue_huge_page':
include/linux/mm.h:500: sorry, unimplemented: inlining failed in call to 
'page_zone': function not considered for inlining
mm/hugetlb.c:486: sorry, unimplemented: called from here

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/mm.h |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

diff -puN include/linux/mm.h~sparsemem-memory-model-fix include/linux/mm.h
--- 25/include/linux/mm.h~sparsemem-memory-model-fix	Thu May 12 15:10:55 2005
+++ 25-akpm/include/linux/mm.h	Thu May 12 15:10:55 2005
@@ -471,7 +471,16 @@ static inline unsigned long page_zonenum
 {
 	return (page->flags >> ZONES_PGSHIFT) & ZONES_MASK;
 }
-static inline struct zone *page_zone(struct page *page);
+
+struct zone;
+extern struct zone *zone_table[];
+
+static inline struct zone *page_zone(struct page *page)
+{
+	return zone_table[(page->flags >> ZONETABLE_PGSHIFT) &
+			ZONETABLE_MASK];
+}
+
 static inline unsigned long page_to_nid(struct page *page)
 {
 	if (FLAGS_HAS_NODE)
@@ -484,15 +493,6 @@ static inline unsigned long page_to_sect
 	return (page->flags >> SECTIONS_PGSHIFT) & SECTIONS_MASK;
 }
 
-struct zone;
-extern struct zone *zone_table[];
-
-static inline struct zone *page_zone(struct page *page)
-{
-	return zone_table[(page->flags >> ZONETABLE_PGSHIFT) &
-			ZONETABLE_MASK];
-}
-
 static inline void set_page_zone(struct page *page, unsigned long zone)
 {
 	page->flags &= ~(ZONES_MASK << ZONES_PGSHIFT);
_
